<?php

class common

{
	var $min_logout_time;

	var $root_path;

	var $http_path;

	//===================================================================================

	// constructor
	function common()

	{
		include "config.php";
		$this->min_logout_time=20;

		$this->path       = $path;

		$this->root_path  = $root_path;

		$this->http_path   = $http_path;

		$this->attach_rpath  = $attach_rpath;

		$this->attach_hpath   = $attach_hpath;
	}

	//====================================================================================

	//=====================================================================================

	//to generate a secure unique sessionkey
	function hashgen()
	{

		$hash = md5(uniqid(rand(),1));

		return $hash;

	}//function hashgen()

	//=====================================================================================

	//=====================================================================================
	function return_file_content($db_domain,$xpath)
	{
		$fp=fopen("$xpath","r"); 
		$fullcontent=fread($fp,filesize("$xpath"));
		fclose($fp);
		return $fullcontent;
	}

	function prefix_table($tablename)
	{
		$prefix=$this->prefix;
		$tablename=$prefix.$tablename;
		return $tablename;
	}

	//=====================================================================================

	//=====================================================================================

	//checks if the site was last accessed before 20min and if so prompts user to relogin
	function check_admin_session($hash,$db_domain)
  	{

		$qry="Select admin_id,timestamp from admin_session where hash='$hash'";
		$line = $db_domain->get_a_line($qry);
		$adminid=$line[0];
		$min_logout_time=$this->min_logout_time;
		$min=$min_logout_time*60;
    		if( (time() - $line[1] ) > $min )
    		{
      			//echo("$session_timed_out");
      			return 0;
    		}
   		else
    		{
		        $timestmp=time();
  			$qry="Update admin_session set timestamp='$timestmp' where hash='$hash'";
        		if (! ($result = mysql_query ("$qry")))
        		{
          			$men = mysql_errno();
          			$mem = mysql_error();
          			echo ("<h4>$qry  $men $mem</h4>");
			        exit;
        		}
        		else
        		{
          			return $adminid;
        		}
    		}
	}

	//=====================================================================================

	//=====================================================================================

	//checks if the site was last accessed before 20min and if so prompts user to relogin
	function check_staff_session($hash,$db_domain)
  	{
		$session="staff_session";
		$qry="Select staff_id,time from $session  where hash='$hash'";
   		$line = $db_domain->get_a_line($qry);
	    	$usrid=$line[0];
		$min_logout_time=$this->min_logout_time;
		$min=$min_logout_time*60;

   		if( (time() - $line[1] ) > $min )
    		{
    			//echo("$session_timed_out");
			return 0;
		}//end if
   	 	else
    		{
			$timestmp=time();
			$qry="Update $session set time=$timestmp where hash='$hash'";
			if (! ($result = mysql_query ("$qry")))
        		{
          			$men = mysql_errno();
         			$mem = mysql_error();
          			echo ("<h4>$qry  $men $mem</h4>");
          			exit;
        		}//end inner if
        		else
        		{
	 			return $usrid;
        		}//end inner else
		}//end else
	}//function check_session()

	//=====================================================================================

	//=====================================================================================

	//checks if the site was last accessed before 20min and if so prompts user to relogin
	function check_session($hash,$db_domain)
  	{
		$session="member_session";
		$qry="Select member_id,time from $session  where hash='$hash'";
   		$line = $db_domain->get_a_line($qry);
	    	$usrid=$line[0];
		$min_logout_time=$this->min_logout_time;
		$min=$min_logout_time*60;
    		if( (time() - $line[1] ) > $min )
    		{
			return 0;
		}//end if
   	 	else
    		{
			$timestmp=time();
			$qry="Update $session set time=$timestmp where hash='$hash'";
			if (! ($result = mysql_query ("$qry")))
        		{
          			$men = mysql_errno();
          			$mem = mysql_error();
          			echo ("<h4>$qry  $men $mem</h4>");
          			exit;
        		}//end inner if
        		else
        		{
	 			return $usrid;
        		}//end inner else
		}//end else
	}//function check_session()

	//=====================================================================================


	//=====================================================================================
	function createfromsource($in,$img){
		if ($in == 1)		$src = @imagecreatefromgif($img);
		elseif ($in == 2)	$src = @imagecreatefromjpeg($img);
		elseif ($in == 3) 	$src = @imagecreatefrompng($img);
		else return false;
		return $src;
	}

	//=====================================================================================

	function create_thumbnail($orgfilename, $orgfilepath,$thumpuploadstatus = 1)  // for thumbnail main page
	{

		include "config.php";

		$image  = $orgfilename;
		$height = $to_height;
		$width  = $to_width;

		if($thumpuploadstatus == 1)
			$thumbpath = $thumb_upload_path;
		else
			$thumbpath = $sthumb_upload_path;

		$oldimage = $orgfilepath.$image;
		$newimage = $thumbpath.$image;

		$size = @getimagesize($oldimage);	
		$curr_w=$size[0];
		$curr_h=$size[1];
	
		if($curr_h > $height || $curr_w > $width) $scaler = 0.99;
		else $scaler = 0;
	
		if($curr_h > $curr_w && $curr_h > $height){ while($curr_h > $height){ $curr_h = $curr_h*$scaler; $curr_w = $curr_w*$scaler; } }
		elseif($curr_w > $curr_h && $curr_w > $width){ while($curr_w > $width){ $curr_h = $curr_h*$scaler; $curr_w = $curr_w*$scaler; }	}
		$curr_h = ceil($curr_h);
		$curr_w = ceil($curr_w);
	
		if($size[2] == 1) $outputtype = "GIF";
		if($size[2] == 2) $outputtype = "JPG";
		if($size[2] == 3) $outputtype = "PNG";

		//$im = @imagecreatetruecolor($curr_w, $curr_h);
		$im = @imagecreate($curr_w, $curr_h);
		if(!$im) return false;
	
		switch($outputtype){
			case "JPG";
				$src_img = $this->createfromsource($size[2],$oldimage);
				ImageCopyResized($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));	
				//imagecopyresampled($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));	
				imagejpeg($im,$newimage,80);
				break;
			case "PNG";
				$src_img = $this->createfromsource($size[2],$oldimage);
				ImageCopyResized($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));	
				//imagecopyresampled($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));	
				imagepng($im,$newimage);
				break;	
			case "GIF";
				$src_img = $this->createfromsource($size[2],$oldimage);
				ImageCopyResized($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));
				//imagecopyresampled($im,$src_img,0,0,0,0,$curr_w,$curr_h,imagesx($src_img),imagesy($src_img));
				imagegif($im,$newimage);
				break;	
			default;
				return false;
		}
		imagedestroy ($im);
	}

	//=====================================================================================

/*	no gif format

	function create_thumbnail($orgfilename,$orgfilepath)
	{
	        include "config.php";		
		$imagefile = $orgfilepath;
		$tmbimagefile = $thumb_upload_path;

//		$tmbimagefile = $this->photopath;
//		$tmbimagefile.="thumbnail";

		$nw=125; //The Width Of The Thumbnails
		$nh=125; //The Height Of The Thumbnails

		$ipath = $imagefile; 
		$tpath = $tmbimagefile;

		$ipath = trim($ipath);
		$l = strlen($ipath);
		$ipath = substr($ipath,0,$l);

		$tpath = trim($tpath);
		$l = strlen($tpath);
		$tpath = substr($tpath,0,$l);

		$img      = $orgfilepath.$orgfilename;
		$img_name = $orgfilename;
		$thumb    = $orgfilename;

		$dimensions = GetImageSize($img);

		$thname = "$tpath/$img_name";

		$w=$dimensions[0];
		$h=$dimensions[1];
		$ftype=$dimensions[2];
		
		if($ftype==1)
		{
			$img2 = ImageCreateFromJPEG($img);
		}
		elseif($ftype==2)
		{
			$img2 = ImageCreateFromGIF($img);
		}
		elseif($ftype==3)
		{
			$img2 = ImageCreateFromPNG($img);
		}

//		$thumb=ImageCreateTrueColor($nw,$nh);
		$thumb=ImageCreate($nw,$nh);

		$wm = $w/$nw;
		$hm = $h/$nh;

		$h_height = $nh/2;
		$w_height = $nw/2;

		if($w > $h)
		{
			$adjusted_width = $w / $hm;
			$half_width = $adjusted_width / 2;
			$int_width = $half_width - $w_height;

//			ImageCopyResampled($thumb,$img2,-$int_width,0,0,0,$adjusted_width,$nh,$w,$h);
			ImageCopyResized($thumb,$img2,-$int_width,0,0,0,$adjusted_width,$nh,$w,$h);
			if($ftype==1)
			{
				ImageJPEG($thumb,$thname,95);
			}
			elseif($ftype==2)
			{
				ImageGIF($thumb,$thname,95);
			}
			elseif($ftype==3)
			{
				ImagePNG($thumb,$thname,95);
			}
		}
		elseif(($w < $h) || ($w == $h))
		{
			$adjusted_height = $h / $wm;
			$half_height = $adjusted_height / 2;
			$int_height = $half_height - $h_height;

//			ImageCopyResampled($thumb,$img2,0,-$int_height,0,0,$nw,$adjusted_height,$w,$h);
			ImageCopyResized($thumb,$img2,0,-$int_height,0,0,$nw,$adjusted_height,$w,$h);
			if($ftype==1)
			{
				ImageJPEG($thumb,$thname,95);
			}
			elseif($ftype==2)
			{
				ImageGIF($thumb,$thname,95);
			}
			elseif($ftype==3)
			{
				ImagePNG($thumb,$thname,95);
			}
		}
		else
		{
//			ImageCopyResampled($thumb,$img2,0,0,0,0,$nw,$nh,$w,$h);
			ImageCopyResized($thumb,$img2,0,0,0,0,$nw,$nh,$w,$h);
			if($ftype==1)
			{
				ImageJPEG($thumb,$thname,95);
			}
			elseif($ftype==2)
			{
				ImageGIF($thumb,$thname,95);
			}
			elseif($ftype==3)
			{
				ImagePNG($thumb,$thname,95);
			}
		}

		imagedestroy($img2);
			
	}
*/	//======================================================================================


	//======================================================================================

	function print_message($msg)
	{
		$to_ret="<table style='border:1px solid #000000' width='100%' align='center'>
			 <tr><td bordercolor='#cccccc' align='center'>
				<table>
				<tr>
				<td height=25 class=error align='center'>
					 $msg
				</td>
				</tr></table>
			</td></tr>
			</table><br>";
		return $to_ret;
	}
	//======================================================================================

	//====================================================================================

	function print_page_break($db_object,$return_content,$count,$records,$links,$fPage)
	{

		$pages=ceil($count/$records);

		$pattern="/<{page_loopstart}>(.*?)<{page_loopend}>/s";

		preg_match($pattern,$return_content,$out);
	
		$myvar=$out[1];

		$str="";

		for($i=1;$i<=$pages;$i++)
		{
			$link=$links."&page=$i";
			$page=$i;
			if ($page == $fPage)
			{
				$page = $i;
				$str.=preg_replace("/<{(.*?)}>/e","$$1",$myvar);
			}
			else
			{
				$page = "<a href=\"$link\">$page</a>";	
				$str.=preg_replace("/<{(.*?)}>/e","$$1",$myvar);
			}
		}
	
		$return_content=preg_replace($pattern,$str,$return_content);
		return $return_content;

	}

	//====================================================================================
	function print_page_break3($db_object,$return_content,$count,$records,$links,$fPage)
	{
		$pages=ceil($count/$records); 

		$pattern="/<{page_loopstart}>(.*?)<{page_loopend}>/s";

		preg_match($pattern,$return_content,$out);
	
		$myvar=$out[1];

		$str="";
		$temp_link=$links;
		
		if($pages!=1)
			$tPage=$fPage."/".$pages." Page(s) ";
		else
			$tPage="";
	
		for($i=1;$i<=$pages;$i++)
		{
			$link=$links."page=$i";
			$page1=$i;

			if ($page1 == $fPage)
			{
				//$page1 = $i;
				$p=$i-1;
				$n=$i+1;
				$str.=preg_replace("/<{(.*?)}>/e","$$1",$myvar);
			}
			else
			{

				if($fPage==1)
				{
					$l_n=$fPage+4; $l_p=0;
				}
				elseif($fPage==2)
				{
					$l_n=$fPage+3; $l_p=0;
				}
				elseif($fPage==$pages)
				{
					$l_n=$pages; $l_p=$fPage-4;
				}
				elseif($fPage==($pages-1))
				{
					$l_n=$pages; $l_p=$fPage-3;
				}
				else
				{
					$l_n=$fPage+2; $l_p=$fPage-2;
				}

				if(($page1<=$l_n) and ($page1>=$l_p))
				{
				 $page1 = $pagefrom+$page1;
				 $page1 = "<a href=\"$link\">$page1</a>";	
				 $str.=preg_replace("/<{(.*?)}>/e","$$1",$myvar);
				}

			}
		}
		$return_content=preg_replace($pattern,$str,$return_content);

		$prev=$temp_link."page=".$p;
		$next=$temp_link."page=".$n;
		
		if($pages>1)
		{
			if($n>$pages || $pages==0)
				$next = " Next";
			else
				$next = "<a href='$next'>Next</a> ";

			if($p==0)
				$previous = "Previous ";
			else
				$previous = "<a href='$prev'>Previous</a> ";
		}
		else
		{
			$next=""; $previous="";
		}

		if($pages>1)
		{
			if ($fPage == 1)
				$first="&laquo;First ";
			else
				$first="<a href='".$temp_link."page=1'>&laquo;First</a> ";

			if ($fPage == $pages)
				$last="Last&raquo; ";
			else
				$last="<a href='".$temp_link."page=".$pages."'>Last&raquo;</a> ";
		}
		else
		{
			$first=""; $last="";
		}

		$return_content=str_replace ( "__first__", $first, $return_content);
		$return_content=str_replace ( "__last__", $last, $return_content);
		$return_content=str_replace ( "__previous__", $previous, $return_content);
		$return_content=str_replace ( "__next__", $next, $return_content);
		$return_content=str_replace ( "__tPage__", $tPage, $return_content);
		return $return_content;
	}


	//=====================================================================================

}//end class

while(list($key,$value)=@each($_POST))
	{
		$$key=$value;
	}

while(list($key,$value)=@each($_GET))
	{
		$$key=$value;
	}
?>
