<?

include ("database.class.php");
$db = new database;

// create admin table
$q = "CREATE TABLE `admin` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255),
  `password` varchar(255),
  `webmaster_email` varchar(255),
  `lastlogin` int(11),
  PRIMARY KEY  (`id`)
)";
$db->insert($q);

// insert into admin table
$q = "insert into admin set username='$admin_login',password='$admin_pass',webmaster_email='$admin_email', id='1'";
$db->insert($q);

// create admin session table
$q = "CREATE TABLE `admin_session` (
  `admin_id` int(11) NOT NULL auto_increment,
  `hash` varchar(255),
  `timestamp` int(11),
  `last_export` int(11),
  PRIMARY KEY  (`admin_id`)
)";
$db->insert($q);

// admin settings
$q="CREATE TABLE `admin_settings` (
  `id` int(11) NOT NULL DEFAULT '0' ,
  `help_url` varchar(255) ,
  `email_from_name` varchar(255) ,
  `email_subject` varchar(255) ,
  `email_message` text ,
  `paypal_email` varchar(255) ,
  `stormpay_email` varchar(255) ,
  `mailer_details` text ,
  PRIMARY KEY (`id`)
)";
$db->insert($q);

$q="CREATE TABLE `automated_emails` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `product_id` int(10) unsigned ,
  `subject` varchar(255) ,
  `message` text ,
  `rank` tinyint(3) unsigned ,
  `delay` int(11) ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);


$q="CREATE TABLE email_log (
  `id` int(11) NOT NULL auto_increment,
  `member_id` int(11) ,
  `product_id` int(11) ,
  `email_id` int(11) ,
  `last_send` int(11) ,
  PRIMARY KEY (`id`)
)";
$db->insert($q);


// create emails table
$q = "CREATE TABLE `emails` (
	  id int(11) unsigned NOT NULL auto_increment,
	  type varchar(255) ,
	  subject varchar(255) ,
	  message text ,
	  PRIMARY KEY (id)
)";
$db->insert($q);

// insert into emails table
$q = "INSERT INTO emails VALUES('1','Email sent to first time users after payment','Welcome to InstantSplitCommissions','Dear {firstname} {lastname}, 

Thank You! for joining our site.

Now you can start advertising and earn instantly for each sale you bring to us.

Your Email : {email}

Your Username : {username}

Your password : {password}


Thank you.

Admin')";

$db->insert($q);

$q="INSERT INTO emails VALUES('2','Email sent to affiliates whenever a payment for a sale is made to them','You have got a Affiliate Sale','Dear {firstname}{lastname},

You have received a commission for one of your affilite products in InstantAffiliateCommissions.

Product Name : {product_name}

You Earned : ${commission}

Login for more details.

Thank You!
Admin')";


$db->insert($q);

$q="INSERT INTO emails VALUES('3','Email sent to admin whenever a payment/sale is made','A Sale Made','Dear Admin,

A sale has been made.

Product Name : {product_name}

You Earned : ${amount}

Login for more details.

Thank You!
Admin')";

$db->insert($q);

$q="INSERT INTO emails VALUES('4','Email sent to existing users after they purchase any other new products','Thank you for your purchase','Dear {firstname}{lastname},

Thank you for purchasing {product_name}.

Admin
')";

$db->insert($q);

$q="CREATE TABLE marketing_banners (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) ,
  `banner_url` varchar(255) ,
  `banner_image` varchar(255) ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

$q="CREATE TABLE marketing_emails (
  `id` int(11) NOT NULL auto_increment,
  `product_id` int(11) ,
  `subject` varchar(255) ,
  `message` text ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);


$q="CREATE TABLE member_log (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) ,
  `username` varchar(255) ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);


$q="CREATE TABLE `member_products` (
  `id` int(11) NOT NULL auto_increment,
  `member_id` int(11) ,
  `product_id` int(11) ,
  `downloaded` int(11) DEFAULT '0' ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);


$q="CREATE TABLE  member_session (
  `member_id` int(11) NOT NULL DEFAULT '0' ,
  `hash` varchar(255) NOT NULL DEFAULT '' ,
  `time` int(11) NOT NULL DEFAULT '0' 
)";

$db->insert($q);

$q="CREATE TABLE `members` (
  `id` int(11) NOT NULL auto_increment,
  `firstname` varchar(255) ,
  `lastname` varchar(255) ,
  `email` varchar(255) NOT NULL DEFAULT '' ,
  `username` varchar(255) NOT NULL DEFAULT '' ,
  `password` varchar(255) ,
  `paypal_email` varchar(255) ,
  `stormpay_email` varchar(255) ,
  `ip` varchar(255) ,
  `date_joined` datetime DEFAULT '0000-00-00 00:00:00' ,
  `status` int(11) DEFAULT '0' ,
  `referrer_url` varchar(255) ,
  `last_login` int(11) ,
  `mailing` int(11) DEFAULT '1' ,
  `randomstring` varchar(100) ,
  PRIMARY KEY (id)
)";

$db->insert($q);

$q="CREATE TABLE `order_arguments` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(50) ,
  `rand` varchar(255) ,
  `mrand` varchar(255) DEFAULT '0' ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

$q="CREATE TABLE `orders` (
  `id` int(11) NOT NULL auto_increment,
  `member_id` int(11) DEFAULT '0' ,
  `product_id` int(11) NOT NULL DEFAULT '0' ,
  `payment_type` int(11) ,
  `visitor_id` int(11) ,
  `downloaded` int(11) DEFAULT '0' ,
  `paid` int(11) DEFAULT '0' ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

$q="CREATE TABLE products (
  `id` int(11) NOT NULL auto_increment,
  `product_name` varchar(255) ,
  `product_shortname` varchar(255) ,
  `price` decimal(15,2) ,
  `commission` decimal(15,2) ,
  `pay_referrer_first` int(11) DEFAULT '0' ,
  `date_added` datetime DEFAULT '0000-00-00 00:00:00' ,
  `template_page` text ,
  `download_link` varchar(255) ,
  `membership_form` text ,
  `show_affiliate_url` int(11) ,
  `rank` int(11) ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

$q="CREATE TABLE transaction (
  `id` int(11) NOT NULL auto_increment,
  `order_id` int(11) ,
  `transaction_id` varchar(100) ,
  `from_email` varchar(255) ,
  `to_email` varchar(255) ,
  `amount` double ,
  `to_admin` int(11) DEFAULT '1' ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

$q="CREATE TABLE visitor_stats (
  `id` int(11) NOT NULL auto_increment,
  `visited_date` date NOT NULL DEFAULT '0000-00-00' ,
  `product_id` int(11) ,
  `referrer` int(11) DEFAULT '0' ,
  `ip` varchar(255) ,
  `randomstring` varchar(255) ,
  `order_placed` int(11) DEFAULT '0' ,
  PRIMARY KEY (`id`)
)";

$db->insert($q);

?>
